#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
services:
  _defaults:
    autowire: true

  XC\VendorMessages\EntityCallback\MessageReadCallback:
    tags:
      - {name: doctrine.orm.entity_listener, event: prePersist, entity: XC\VendorMessages\Model\MessageRead}

  XC\VendorMessages\EntityCallback\MessageCallback:
    tags:
      - {name: doctrine.orm.entity_listener, event: prePersist, entity: XC\VendorMessages\Model\Message}
